com.sun.mirror.apt

## Interface AnnotationProcessor

- Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is `Processor`.

      @Deprecated
      public interface AnnotationProcessor

  An annotation processor, used to examine and process the annotations of program elements. An annotation processor may, for example, create new source files and XML documents to be used in conjunction with the original code.

  An annotation processor is constructed by a factory, which provides it with an environment that encapsulates the state it needs. Messages regarding warnings and errors encountered during processing should be directed to the environment's `Messager`, and new files may be created using the environment's `Filer`.

  Each annotation processor is created to process annotations of a particular annotation type or set of annotation types. It may use its environment to find the program elements with annotations of those types. It may freely examine any other program elements in the course of its processing.

  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process()` Deprecated. Process all program elements supported by this annotation processor.

- - ### Method Detail

    - #### process

          void process()

      Deprecated.
      Process all program elements supported by this annotation processor.

Copyright © 2004, 2019, Oracle and/or its affiliates. All rights reserved.